Index: uKadecot/trunk/ssp/arch/ccrx/tool_stddef.h
===================================================================
--- uKadecot/trunk/ssp/arch/ccrx/tool_stddef.h	(revision 101)
+++ uKadecot/trunk/ssp/arch/ccrx/tool_stddef.h	(revision 107)
@@ -9,44 +9,40 @@
  *  Copyright (C) 2007-2010 by Witz Corporation, JAPAN
  * 
- *  ãLì ÒÍCÈºÌ (1)`(4) Ìð©CFree Software Foundation 
- *  ÉæÁÄö\³êÄ¢é GNU General Public License Ì Version 2 ÉL
- *  q³êÄ¢éðð½·êÉÀèC{\tgEFAi{\tgEFA
- *  ðüÏµ½àÌðÜÞDÈº¯¶jðgpE¡»EüÏEÄzziÈºC
- *  pÆÄÔj·é±Æð³Åø·éD
- *  (1) {\tgEFAð\[XR[hÌ`Åp·éêÉÍCãLÌì
- *       \¦C±Ìpð¨æÑºLÌ³ÛØKèªC»ÌÜÜÌ`Å\[
- *      XR[hÉÜÜêÄ¢é±ÆD
- *  (2) {\tgEFAðCCu`®ÈÇC¼Ì\tgEFAJ­Ég
- *      pÅ«é`ÅÄzz·éêÉÍCÄzzÉº¤hL
-gip
- *      Ò}j
-AÈÇjÉCãLÌì \¦C±Ìpð¨æÑºL
- *      Ì³ÛØKèðfÚ·é±ÆD
- *  (3) {\tgEFAðC@íÉgÝÞÈÇC¼Ì\tgEFAJ­Ég
- *      pÅ«È¢`ÅÄzz·éêÉÍCÌ¢¸ê©Ìðð½·±
- *      ÆD
- *    (a) ÄzzÉº¤hL
-gipÒ}j
-AÈÇjÉCãLÌ
- *        ì \¦C±Ìpð¨æÑºLÌ³ÛØKèðfÚ·é±ÆD
- *    (b) ÄzzÌ`ÔðCÊÉèßéû@ÉæÁÄCTOPPERSvWFNgÉ
- *        ñ·é±ÆD
- *  (4) {\tgEFAÌpÉæè¼ÚIÜ½ÍÔÚIÉ¶¶é¢©Èé¹
- *      Q©çàCãLì Ò¨æÑTOPPERSvWFNgðÆÓ·é±ÆD
+ *  上記著作権者は，以下の (1)〜(4) の条件か，Free Software Foundation 
+ *  によって公表されている GNU General Public License の Version 2 に記
+ *  述されている条件を満たす場合に限り，本ソフトウェア（本ソフトウェア
+ *  を改変したものを含む．以下同じ）を使用・複製・改変・再配布（以下，
+ *  利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+ *      と．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *    (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+ *        報告すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
  * 
- *  {\tgEFAÍC³ÛØÅñ³êÄ¢éàÌÅ éDãLì Ò¨
- *  æÑTOPPERSvWFNgÍC{\tgEFAÉÖµÄC»ÌKpÂ\«à
- *  ÜßÄC¢©ÈéÛØàsíÈ¢DÜ½C{\tgEFAÌpÉæè¼
- *  ÚIÜ½ÍÔÚIÉ¶¶½¢©Èé¹QÉÖµÄàC»ÌÓCðíÈ¢D
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，その適用可能性も
+ *  含めて，いかなる保証も行わない．また，本ソフトウェアの利用により直
+ *  接的または間接的に生じたいかなる損害に関しても，その責任を負わない．
  * 
  */
 
 /*
- *  t_stddef.hÌJ­Â«Ë¶ilTX RXc[`FCpj
+ *  t_stddef.hの開発環境依存部（ルネサス RXツールチェイン用）
  *
- *  ±ÌCN[ht@CÍCt_stddef.h ÌæªÅCN[h³êéD
- *  ¼Ìt@C©çÍ¼ÚCN[h·é±ÆÍÈ¢D¼ÌCN[h
- *  t@CÉæ§ÁÄ³êé½ßC¼ÌCN[ht@CÉË¶µ
- *  ÄÍÈçÈ¢D
+ *  このインクルードファイルは，t_stddef.h の先頭でインクルードされる．
+ *  他のファイルからは直接インクルードすることはない．他のインクルード
+ *  ファイルに先立って処理されるため，他のインクルードファイルに依存し
+ *  てはならない．
  */
 
@@ -55,20 +51,20 @@
 
 /*
- *  RpCÌg£@\Ì½ßÌ}Nè`
+ *  コンパイラの拡張機能のためのマクロ定義
  */
 /*
- *  inline ¯ÊqÍOè`ð¶¬µÈ¢.
+ *  inline 識別子は外部定義を生成しない.
  */
 #define	Inline		static inline
 
 /*
- *  CCAZuÍ{RpCÅÍ
- *  #pragma inline_asmÌÝÌT|[gÆÈé½ß,
- *  asm/Asmè`ÍsíÈ¢.
+ *  インラインアセンブラは本コンパイラでは
+ *  #pragma inline_asmのみのサポートとなるため,
+ *  asm/Asm定義は行わない.
  */
 
 /*
- *  NoReturn / alignofÍ{RpCÅÍT|[g³êÈ¢.
- *  offsetofÍstddef.hÌè`ðp·é.
+ *  NoReturn / alignofは本コンパイラではサポートされない.
+ *  offsetofはstddef.hの定義を利用する.
  */
 #define	NoReturn
@@ -76,12 +72,12 @@
 
 /*
- *  J­Â«ÌWCN[ht@CÌp
+ *  開発環境の標準インクルードファイルの利用
  *
- *  NULLÌè`ðstddef.h©çCINT_MAXCINT_MINCUINT_MAXCLONG_MAXC
- *  LONG_MINCULONG_MAXCCHAR_BITÌè`ðlimits.h©çæèÞD
+ *  NULLの定義をstddef.hから，INT_MAX，INT_MIN，UINT_MAX，LONG_MAX，
+ *  LONG_MIN，ULONG_MAX，CHAR_BITの定義をlimits.hから取り込む．
  *
- *  C++/EC++ÅÍCWdlãÍ±êçÌCN[ht@CªpÓ³êÄ
- *  ¢éÆÍÀçÈ¢ÌÅÓªKvÅ éiÙÆñÇÌJ­Â«ÅpÓ³ê
- *  Ä¢éjD
+ *  C++/EC++では，標準仕様上はこれらのインクルードファイルが用意されて
+ *  いるとは限らないので注意が必要である（ほとんどの開発環境で用意され
+ *  ている）．
  */
 #ifndef TOPPERS_MACRO_ONLY
@@ -92,7 +88,7 @@
 
 /*
- *  RpCË¶Ìf[^^Ìè`
+ *  コンパイラ依存のデータ型の定義
  *
- *  stdint.hðCN[h·é
+ *  stdint.hをインクルードする
  */
 #ifndef TOPPERS_MACRO_ONLY
@@ -102,11 +98,11 @@
 
 /*
- *  ®¬_^ÉÖ·éè`
+ *  浮動小数点型に関する定義
  *
- *  ºLÌè`Ídbl_size = 8IvVðwèµ½êÌÝLøÆ·é±Æ.
+ *  下記の定義はdbl_size = 8オプションを指定した場合のみ有効とすること.
  */
 #ifndef TOPPERS_MACRO_ONLY
-typedef float		float32_t;			/* IEEE754ÌP¸x®¬_ */
-typedef double		double64_t;			/* IEEE754Ì{¸x®¬_ */
+typedef float		float32_t;			/* IEEE754準拠の単精度浮動小数点数 */
+typedef double		double64_t;			/* IEEE754準拠の倍精度浮動小数点数 */
 #endif /* TOPPERS_MACRO_ONLY */
 
@@ -118,8 +114,8 @@
 
 /*
- *  óxÌè`
+ *  空ラベルの定義
  *
- *  {RpCÅÍå«³[ÌzñÍRpCG[ÉÈé½ß,
- *  TCY1ÉÄè`·é.
+ *  本コンパイラでは大きさゼロの配列はコンパイルエラーになるため,
+ *  サイズ1にて定義する.
  */
 #define TOPPERS_EMPTY_LABEL( type, symbol )		type symbol[ 1 ]
